[Git][haskell-team/package-plan][master] Move dependency installation to separate script

Scott Talbert (@swt2c) gitlab at salsa.debian.org
Tue Oct 6 14:13:07 BST 2026



Scott Talbert pushed to branch master at Debian Haskell Group / package-plan


Commits:
0de9ae18 by Scott Talbert at 2026-10-05T17:20:00-04:00
Move dependency installation to separate script

This enables the dependency installation to be maintained in one place
and can be reused in both Salsa and Jenkins environments.

- - - - -


2 changed files:

- .gitlab-ci.yml
- + install-depends.sh


Changes:

=====================================
.gitlab-ci.yml
=====================================
@@ -6,8 +6,6 @@ cache:
 build:
   stage: deploy
   script:
-    - apt-get update
-    - apt-get install -y --no-install-recommends cabal-install ghc dctrl-tools patchutils libtext-patch-perl libfile-slurp-perl libipc-run-perl liblist-moreutils-perl libdpkg-perl
-    - apt-get install -y --no-install-recommends --no-install-suggests pkg-config libxft-dev libcairo-dev libatk1.0-dev libdbusmenu-glib-dev libdbusmenu-gtk3-dev libvte-2.91-dev libgsasl-dev  libgirepository1.0-dev libhdf5-serial-dev libxml2-dev libpcre2-dev libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev libzmq3-dev libyaml-dev libgraphene-1.0-dev libgtk-4-dev libpq-dev libgtk-layer-shell-dev libwireplumber-0.5-dev
+    - ./install-depends.sh
     - HOME=/builds/haskell-team/package-plan cabal update
     - HOME=/builds/haskell-team/package-plan ./test-packages.pl


=====================================
install-depends.sh
=====================================
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+apt-get update
+apt-get install -y --no-install-recommends cabal-install ghc dctrl-tools \
+  patchutils libtext-patch-perl libfile-slurp-perl libipc-run-perl \
+  liblist-moreutils-perl libdpkg-perl
+apt-get install -y --no-install-recommends --no-install-suggests pkg-config \
+  libxft-dev libcairo-dev libatk1.0-dev libdbusmenu-glib-dev \
+  libdbusmenu-gtk3-dev libvte-2.91-dev libgsasl-dev \
+  libgirepository1.0-dev libhdf5-serial-dev libxml2-dev libpcre2-dev \
+  libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev \
+  libzmq3-dev libyaml-dev libgraphene-1.0-dev libgtk-4-dev libpq-dev \
+  libgtk-layer-shell-dev libwireplumber-0.5-dev



View it on GitLab: https://salsa.debian.org/haskell-team/package-plan/-/commit/0de9ae184efcebf837e70aa91264181680994158

-- 
View it on GitLab: https://salsa.debian.org/haskell-team/package-plan/-/commit/0de9ae184efcebf837e70aa91264181680994158
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-haskell-commits/attachments/20261006/d9f83e94/attachment-0001.htm>


More information about the Pkg-haskell-commits mailing list